### Constructor

# Soup Message new

#### Declaration [src]

    SoupMessage*
    soup_message_new (
      const char* method,
      const char* uri_string
    )

#### Description [src]

Creates a new empty `SoupMessage`, which will connect to `uri`.

#### Parameters

`method` | `const char*`
| The HTTP method for the created request.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`uri_string` | `const char*`
| The destination endpoint (as a string)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `SoupMessage`
| The new `SoupMessage` (or `NULL` if `uri` could not be parsed).
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.